Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServer::ServantRetentionPolicy Interface Reference

`#include <ServantRetentionPolicyC.h>`

Inheritance diagram for PortableServer::ServantRetentionPolicy:

[legend]
Collaboration diagram for PortableServer::ServantRetentionPolicy:

[legend]
List of all members.

## Public Types
typedef ServantRetentionPolicy_ptr | _ptr_type
typedef ServantRetentionPolicy_var | _var_type
## Public Member Functions
virtual ::PortableServer::ServantRetentionPolicyValue | value ()=0 throw ( CORBA::SystemException )
virtual ::CORBA::Policy_ptr | copy ()=0 throw ( CORBA::SystemException )
virtual void | destroy ()=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
ServantRetentionPolicy_ptr | _duplicate (ServantRetentionPolicy_ptr obj)
void | _tao_release (ServantRetentionPolicy_ptr obj)
ServantRetentionPolicy_ptr | _narrow (CORBA::Object_ptr obj)
ServantRetentionPolicy_ptr | _unchecked_narrow (CORBA::Object_ptr obj)
ServantRetentionPolicy_ptr | _nil (void)
## Public Attributes
readonly attribute ServantRetentionPolicyValue | value
## Protected Member Functions
| ServantRetentionPolicy (void)
virtual | ~ServantRetentionPolicy (void)
## Private Member Functions
| ServantRetentionPolicy (const ServantRetentionPolicy &)
void | operator= (const ServantRetentionPolicy &)

## Member Typedef Documentation

typedef ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_ptr_type

| Implements CORBA::Policy.

typedef ServantRetentionPolicy_var PortableServer::ServantRetentionPolicy::_var_type

| Implements CORBA::Policy.

## Constructor & Destructor Documentation

PortableServer::ServantRetentionPolicy::ServantRetentionPolicy | ( | void |  | ) | `[protected]`

PortableServer::ServantRetentionPolicy::~ServantRetentionPolicy | ( | void |  | ) | `[protected, virtual]`

PortableServer::ServantRetentionPolicy::ServantRetentionPolicy | ( | const ServantRetentionPolicy & |  | ) | `[private]`

## Member Function Documentation

PortableServer::ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_duplicate | ( | ServantRetentionPolicy_ptr | obj | ) | `[static]`

const char * PortableServer::ServantRetentionPolicy::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Policy.

virtual CORBA::Boolean PortableServer::ServantRetentionPolicy::_is_a | ( | const char * | type_id | ) | `[virtual]`

| Implements CORBA::Policy.

ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements CORBA::Policy.

ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_nil | ( | void |  | ) | `[inline, static]`

| Implements CORBA::Policy.

void PortableServer::ServantRetentionPolicy::_tao_release | ( | ServantRetentionPolicy_ptr | obj | ) | `[static]`

ServantRetentionPolicy_ptr PortableServer::ServantRetentionPolicy::_unchecked_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

| Implements CORBA::Policy.

virtual ::CORBA::Policy_ptr PortableServer::ServantRetentionPolicy::copy | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implements CORBA::Policy. Implemented in TAO::Portable_Server::ServantRetentionPolicy.

virtual void PortableServer::ServantRetentionPolicy::destroy | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implements CORBA::Policy. Implemented in TAO::Portable_Server::ServantRetentionPolicy.

CORBA::Boolean PortableServer::ServantRetentionPolicy::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Implements CORBA::Policy.

void PortableServer::ServantRetentionPolicy::operator= | ( | const ServantRetentionPolicy & |  | ) | `[private]`

virtual ::PortableServer::ServantRetentionPolicyValue PortableServer::ServantRetentionPolicy::value | ( |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO::Portable_Server::ServantRetentionPolicy.

## Member Data Documentation

readonly attribute ServantRetentionPolicyValue PortableServer::ServantRetentionPolicy::value

The documentation for this interface was generated from the following files:

- ServantRetentionPolicy.pidl
- ServantRetentionPolicyC.h
- ServantRetentionPolicyC.cpp